%global commit 0a2c79c924a1cc23e5929428665f3b0f8e69433b
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           kpie
Version:        1.1
Release:        2%{?dist}
Summary:        Simple devilspie-like program for window manipulation, with Lua

License:        GPLv2
URL:            https://github.com/skx/kpie
#Source0:        https://github.com/skx/kpie/archive/release-%{version}/%{name}-%{version}.tar.gz
Source0:        https://github.com/skx/kpie/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  gcc, glib2-devel, gtk2-devel, lua-devel
BuildRequires:  libwnck-devel, libX11-devel, xorg-x11-proto-devel
BuildRequires:  desktop-file-utils

%description
KPie is a simple window manipulation tool, modeled after devil's pie,
with a Lua-based configuration file.


%prep
#autosetup -n %{name}-release-%{version}
%autosetup -n %{name}-%{commit}
#sed -i 's/^CFLAGS=/CFLAGS+=-g /g' Makefile


%build
# add debug info required by Fedora packaging
export CPPFLAGS=-g
# empty lua version for Fedora
%make_build LUA_VERSION=
# add dump script
cat << EOF > kpie-dump
#!/bin/sh

%{name} --single --config %{_docdir}/%{name}/samples/dump.lua
EOF
chmod +x kpie-dump

%install
rm -rf $RPM_BUILD_ROOT
#make_install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_mandir}/man1 \
  %{buildroot}%{_sysconfdir}/bash_completion.d \
  %{buildroot}%{_datadir}/applications
install -p kpie %{buildroot}%{_bindir}/
install -p kpie-dump %{buildroot}%{_bindir}/
install -p kpie.1 %{buildroot}%{_mandir}/man1/
install -p debian/kpie-completion %{buildroot}%{_sysconfdir}/bash_completion.d/
desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
  debian/kpie.desktop 
desktop-file-validate %{buildroot}%{_datadir}/applications/kpie.desktop


%files
%license LICENSE
%doc README.md FAQ.md samples kpie.lua
%{_bindir}/%{name}
%{_bindir}/%{name}-dump
%{_mandir}/*/*
%{_sysconfdir}/bash_completion.d/*
%{_datadir}/applications/%{name}.desktop


%changelog
* Sun Mar 22 2020 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.1-2
- added bash completion script

* Sat Mar 21 2020 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.1-1
- initial release
